This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 492749 - Review Request: kde-plasma-system_status_ng - A plasmoid to show your CPU and memory usage
Review Request: kde-plasma-system_status_ng - A plasmoid to show your CPU and...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 06:01 EDT by Radek Novacek
Modified: 2016-11-30 19:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 06:47:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mathstuf: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Comment 1 Ben Boeckel 2009-07-27 16:59:36 EDT
[OK] MUST: rpmlint must be run on every package. The output should be posted in
the review.

% rpmlint kde-plasma-system_status_ng-*.rpm
kde-plasma-system_status_ng-debuginfo.x86_64: E: description-line-too-long This package provides debug information for package kde-plasma-system_status_ng.
3 packages and 0 specfiles checked; 1 errors, 0 warnings.

This can be ignored; it's a bug in the debuginfo generator.

[OK] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.
[FAIL] MUST: The License field in the package spec file must match the actual
license.

Files are GPLv2+, not just GPLv2.

[OK] MUST: The package must meet the  Packaging Guidelines . 
[OK] MUST: The package must be licensed with a Fedora approved license and meet
the  Licensing Guidelines . 
[OK] MUST: The License field in the package spec file must match the actual
license.
[OK] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The package <b>MUST</b> successfully compile and build into binary
rpms on at least one primary architecture.
[OK] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
[OK] MUST: The spec file MUST handle locales properly. This is done by using
the <code>%find_lang</code> macro. Using <code>%{_datadir}/locale/*</code> is
strictly forbidden.
[OK] MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in <code>%post</code> and <code>%postun</code>.
[OK] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec
file's&nbsp;%files listings.
[OK] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every <code>%files</code> section
must include a <code>%defattr(...)</code> line.
[OK] MUST: Each package must have a&nbsp;%clean section, which contains
<code>rm -rf&nbsp;%{buildroot}</code> (<a
href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags"
title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity).
[OK] MUST: If a package includes something as&nbsp;%doc, it must not affect the
runtime of the application. To summarize: If it is in&nbsp;%doc, the program
must run properly if it is not present.
[OK] MUST: Header files must be in a -devel package.
[OK] MUST: Static libraries must be in a -static package.
[OK] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
[OK] MUST: If a package contains library files with a suffix
(e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must
go in a -devel package.
[OK] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: <code>Requires:&nbsp;%{name}
=&nbsp;%{version}-%{release} </code>
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.
[OK] MUST: Packages containing GUI applications must include
a&nbsp;%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the&nbsp;%install section. If you feel that your
packaged GUI application does not need a .desktop file, you must put a comment
in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the <code>filesystem</code> or
<code>man</code> package. If you feel that you have a good reason to own a file
or directory that another package owns, then please present that at package
review time.
[OK] MUST: At the beginning of <code>%install</code>, each package MUST run
<code>rm -rf&nbsp;%{buildroot}</code> (<a
href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags"
title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
[OK] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[OK] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described.
A package should not segfault instead of running, for example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.
[OK] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[OK] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
and this is usually for development purposes, so should be placed in a -devel
pkg.  A reasonable exception is that the main pkg itself is a devel tool not
installed in a user runtime, e.g. gcc or gdb.
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.

Just need to fix the license tag, approved otherwise.
Comment 2 Ben Boeckel 2009-10-02 20:01:41 EDT
Ping? Any progress?
Comment 3 Radek Novacek 2009-10-05 04:58:46 EDT
I'm sorry, I missed notification of your previous post somehow. I think this plasmoid is now superseded by "system load viewer" applet which is part of kdeplasma-addons. Actually, "system_status_ng" is a port of the "system load viever" but according to changelog[1] change of appearance was backported to "system load viewer".

[1]: http://www.kde-look.org/content/show.php/System+Status?content=74891
Comment 4 Ben Boeckel 2009-10-05 10:30:26 EDT
Alright, so the review is probably not needed then. Could you close the bug then?

Note You need to log in before you can comment on or make changes to this bug.